Register Guidelines E-Books Search Today's Posts Mark Forums Read

Go Back   MobileRead Forums > E-Book Software > Calibre

Notices

Reply
 
Thread Tools Search this Thread
Old 09-27-2020, 03:51 PM   #16
JSWolf
Resident Curmudgeon
JSWolf ought to be getting tired of karma fortunes by now.JSWolf ought to be getting tired of karma fortunes by now.JSWolf ought to be getting tired of karma fortunes by now.JSWolf ought to be getting tired of karma fortunes by now.JSWolf ought to be getting tired of karma fortunes by now.JSWolf ought to be getting tired of karma fortunes by now.JSWolf ought to be getting tired of karma fortunes by now.JSWolf ought to be getting tired of karma fortunes by now.JSWolf ought to be getting tired of karma fortunes by now.JSWolf ought to be getting tired of karma fortunes by now.JSWolf ought to be getting tired of karma fortunes by now.
 
JSWolf's Avatar
 
Posts: 59,929
Karma: 56644595
Join Date: Nov 2006
Location: Roslindale, Massachusetts
Device: Kobo Aura H2O, PRS-650, PRS-T1, nook STR, iPad 4, iPhone SE 2020, PW3
Trying to view KePub (with all the KePub plugins installed) gives me an error in both 4.23 and 5.0.1. This is from 5.0.1.
Code:
calibre, version 5.0.1
ERROR: Unhandled exception: <b>OSError</b>:[WinError 1155] No application is associated with the specified file for this operation: 'e:\\Calibre Library\\Temp\\Robert Jordan\\The Eye of the World (2243)\\The Eye of the World - Robert Jordan.kepub'

calibre 5.0.1 Portable embedded-python: True is64bit: False
Windows-10-10.0.18362-SP0 Windows ('32bit', 'WindowsPE')
32bit process running on 64bit windows
('Windows', '10', '10.0.18362')
Python 3.8.5
Windows: ('10', '10.0.18362', 'SP0', 'Multiprocessor Free')
Interface language: None
Successfully initialized third party plugins: Amazon hi-res covers (0, 1, 0) && Annotations (1, 12, 0) && BookFusion Plugin (0, 5, 3) && Count Pages (1, 10, 0) && Diaps Editing Toolbag (0, 3, 6) && EpubCheck (0, 2, 3) && EpubSplit (2, 9, 0) && Favourites Menu (1, 0, 5) && Find Duplicates (1, 7, 2) && Hyphenate This! (0, 1, 0) && Set KFX metadata (from KFX Output) (1, 44, 0) && KFX Output (1, 44, 0) && KePub Metadata Reader (3, 2, 9) && KePub Metadata Writer (3, 2, 12) && KePub Output (3, 2, 15) && KindleUnpack - The Plugin (0, 82, 3) && Kobo Books (1, 8, 0) && Kobo Utilities (2, 11, 5) && KoboTouchExtended (3, 2, 15) && Modify ePub (1, 5, 5) && Quality Check (1, 10, 1) && Reading List (1, 6, 13) && ScrambleEbook (0, 4, 5)
Traceback (most recent call last):
  File "site-packages\calibre\gui2\actions\view.py", line 130, in view_format_by_id
  File "site-packages\calibre\gui2\actions\view.py", line 186, in _view_file
  File "site-packages\calibre\gui2\actions\view.py", line 176, in _launch_viewer
  File "site-packages\calibre\gui2\__init__.py", line 1289, in open_local_file
OSError: [WinError 1155] No application is associated with the specified file for this operation: 'e:\\Calibre Library\\Temp\\Robert Jordan\\The Eye of the World (2243)\\The Eye of the World - Robert Jordan.kepub'

Last edited by JSWolf; 09-27-2020 at 03:59 PM.
JSWolf is offline   Reply With Quote
Old 09-27-2020, 04:01 PM   #17
DNSB
Bibliophagist
DNSB ought to be getting tired of karma fortunes by now.DNSB ought to be getting tired of karma fortunes by now.DNSB ought to be getting tired of karma fortunes by now.DNSB ought to be getting tired of karma fortunes by now.DNSB ought to be getting tired of karma fortunes by now.DNSB ought to be getting tired of karma fortunes by now.DNSB ought to be getting tired of karma fortunes by now.DNSB ought to be getting tired of karma fortunes by now.DNSB ought to be getting tired of karma fortunes by now.DNSB ought to be getting tired of karma fortunes by now.DNSB ought to be getting tired of karma fortunes by now.
 
DNSB's Avatar
 
Posts: 8,585
Karma: 39207265
Join Date: Jul 2010
Location: Vancouver
Device: Kobo Forma, Clara HD, Nexus 7 HD, iPad Pro, Tolino epos
Quote:
Originally Posted by JSWolf View Post
Trying to view KePub (with all the KePub plugins installed) gives me an error in both 4.23 and 5.0.1. This is from 5.0.1.
Code:
File "site-packages\calibre\gui2\__init__.py", line 1289, in open_local_file
OSError: [WinError 1155] No application is associated with the specified file for this operation: 'e:\\Calibre Library\\Temp\\Robert Jordan\\The Eye of the World (2243)\\The Eye of the World - Robert Jordan.kepub'
The error message would suggest that under Preferences/Behavior, you do not have a check mark for kepub to use the internal viewer and your operating system has no application set to open kepub files.
DNSB is offline   Reply With Quote
Advert
Old 09-27-2020, 04:31 PM   #18
theducks
Well trained by Cats
theducks ought to be getting tired of karma fortunes by now.theducks ought to be getting tired of karma fortunes by now.theducks ought to be getting tired of karma fortunes by now.theducks ought to be getting tired of karma fortunes by now.theducks ought to be getting tired of karma fortunes by now.theducks ought to be getting tired of karma fortunes by now.theducks ought to be getting tired of karma fortunes by now.theducks ought to be getting tired of karma fortunes by now.theducks ought to be getting tired of karma fortunes by now.theducks ought to be getting tired of karma fortunes by now.theducks ought to be getting tired of karma fortunes by now.
 
theducks's Avatar
 
Posts: 25,663
Karma: 35353615
Join Date: Aug 2009
Location: The Central Coast of California
Device: K4NT(Fixed,New Bat.), Galaxy Tab A, Kobo Aura2
Quote:
Originally Posted by jiembe View Post
Calibre didn't offer me that upgrade. Got it from the site. Everything well now.
Calibre has never offered Update notices for a x.y.# level if you are already at version x.y
theducks is offline   Reply With Quote
Old 09-28-2020, 04:06 PM   #19
bk1
Member
bk1 began at the beginning.
 
Posts: 10
Karma: 10
Join Date: Jul 2016
Device: Kindle paperwhite
Problem downgrading

Well, I got 5.0.1 to work - I thought. But no. The Kindle DeDRM tools do not work in new version yet. So, I gave up (never update when not forced and the old system works). I uninstalled version 5 and reinstalled version 4.8.

Then I started and tried to delete a book I had tried to import under version 5 form Kindle. Now, Version 6.8 fails doing this stating:
SQLError: SQLError: No such module: fts5

Then I rebooted my PC, but to no avail. Same problem. Now, what do I do? Is the older versions no longer compatible with version 5? (then it shoudl be stated that once you upgrade you cannot downgrade, but others seem to have doen this without problems).

What is going on, and how do I get back to my old 4.8 version with the DRM function working?

I should mention that after downgrading, I can re-import the book again. Calibre keeps both the old and the new book. And the one imported with 4.8 can be converted like before. So, really my question is - how do I remove the first non-convertible book?

Last edited by bk1; 09-28-2020 at 04:08 PM.
bk1 is offline   Reply With Quote
Old 09-28-2020, 04:10 PM   #20
Uncle Robin
Diligent dilettante
Uncle Robin ought to be getting tired of karma fortunes by now.Uncle Robin ought to be getting tired of karma fortunes by now.Uncle Robin ought to be getting tired of karma fortunes by now.Uncle Robin ought to be getting tired of karma fortunes by now.Uncle Robin ought to be getting tired of karma fortunes by now.Uncle Robin ought to be getting tired of karma fortunes by now.Uncle Robin ought to be getting tired of karma fortunes by now.Uncle Robin ought to be getting tired of karma fortunes by now.Uncle Robin ought to be getting tired of karma fortunes by now.Uncle Robin ought to be getting tired of karma fortunes by now.Uncle Robin ought to be getting tired of karma fortunes by now.
 
Posts: 874
Karma: 8260192
Join Date: Sep 2019
Location: in my mind
Device: Kobo Libra H2O; RealMe X2 Pro
Quote:
Originally Posted by bk1 View Post
Well, I got 5.0.1 to work - I thought. But no. The Kindle DeDRM tools do not work in new version yet.
As has been made very clear here at MR MANY, MANY times and is also mentioned explicitly on Alf's page. Anyone who took a minute to check either site would have known weeks ago that the current DeDRM plugins would not work with Calibre 5.
Uncle Robin is offline   Reply With Quote
Advert
Old 09-28-2020, 04:20 PM   #21
georgemk
Connoisseur
georgemk can tie a knot in a cherry stem with his or her tonguegeorgemk can tie a knot in a cherry stem with his or her tonguegeorgemk can tie a knot in a cherry stem with his or her tonguegeorgemk can tie a knot in a cherry stem with his or her tonguegeorgemk can tie a knot in a cherry stem with his or her tonguegeorgemk can tie a knot in a cherry stem with his or her tonguegeorgemk can tie a knot in a cherry stem with his or her tonguegeorgemk can tie a knot in a cherry stem with his or her tonguegeorgemk can tie a knot in a cherry stem with his or her tonguegeorgemk can tie a knot in a cherry stem with his or her tonguegeorgemk can tie a knot in a cherry stem with his or her tongue
 
Posts: 73
Karma: 22580
Join Date: Oct 2019
Device: nook Simple Touch with Glowlight
Quote:
Originally Posted by bk1 View Post
What is going on, and how do I get back to my old 4.8 version with the DRM function working?

I should mention that after downgrading, I can re-import the book again. Calibre keeps both the old and the new book. And the one imported with 4.8 can be converted like before. So, really my question is - how do I remove the first non-convertible book?
From The "New in Calibre 5.0" page under the heading "Backwards incompatibilities"
Quote:
Because of the support for library wide annotations, the database format was slightly changed. While calibre 4.23 is able to open and operate with calibre 5 databases, older versions of calibre may have trouble.
So you need to use Calibre 4.23
georgemk is offline   Reply With Quote
Old 09-28-2020, 06:52 PM   #22
JSWolf
Resident Curmudgeon
JSWolf ought to be getting tired of karma fortunes by now.JSWolf ought to be getting tired of karma fortunes by now.JSWolf ought to be getting tired of karma fortunes by now.JSWolf ought to be getting tired of karma fortunes by now.JSWolf ought to be getting tired of karma fortunes by now.JSWolf ought to be getting tired of karma fortunes by now.JSWolf ought to be getting tired of karma fortunes by now.JSWolf ought to be getting tired of karma fortunes by now.JSWolf ought to be getting tired of karma fortunes by now.JSWolf ought to be getting tired of karma fortunes by now.JSWolf ought to be getting tired of karma fortunes by now.
 
JSWolf's Avatar
 
Posts: 59,929
Karma: 56644595
Join Date: Nov 2006
Location: Roslindale, Massachusetts
Device: Kobo Aura H2O, PRS-650, PRS-T1, nook STR, iPad 4, iPhone SE 2020, PW3
Quote:
Originally Posted by bk1 View Post
Well, I got 5.0.1 to work - I thought. But no. The Kindle DeDRM tools do not work in new version yet. So, I gave up (never update when not forced and the old system works). I uninstalled version 5 and reinstalled version 4.8.

Then I started and tried to delete a book I had tried to import under version 5 form Kindle. Now, Version 6.8 fails doing this stating:
SQLError: SQLError: No such module: fts5

Then I rebooted my PC, but to no avail. Same problem. Now, what do I do? Is the older versions no longer compatible with version 5? (then it shoudl be stated that once you upgrade you cannot downgrade, but others seem to have doen this without problems).

What is going on, and how do I get back to my old 4.8 version with the DRM function working?

I should mention that after downgrading, I can re-import the book again. Calibre keeps both the old and the new book. And the one imported with 4.8 can be converted like before. So, really my question is - how do I remove the first non-convertible book?
Version 5 changes the database and you need to install 4.23 because that is the only version 4 that's compatible. 4.8 will not work as you can see.
JSWolf is offline   Reply With Quote
Old 09-30-2020, 06:40 AM   #23
bk1
Member
bk1 began at the beginning.
 
Posts: 10
Karma: 10
Join Date: Jul 2016
Device: Kindle paperwhite
And as has happenend many, many ,many times, I, being a veteran It professional, did not adhere to my own advice, and just jumped on the upgrade, without looking. Price paid.

I downgraded to 4.2.3 - problem solved.

Many thanks for all you help and sorry for having bothered you. Next time, I will.... :-)
bk1 is offline   Reply With Quote
Old 09-30-2020, 02:05 PM   #24
Maria Loranger
Enthusiast
Maria Loranger began at the beginning.
 
Posts: 30
Karma: 10
Join Date: Jul 2018
Device: Kindle Paperwhite
Back to version 4.23

Yes, I did the same thing, i.e. installed the new version without any reading about it - there went all my plugins (not many), including my DRM.
Removed Calibre, installed installed old DRM plugin - all is well again.
Maria Loranger is offline   Reply With Quote
Old 10-05-2020, 12:18 PM   #25
Juliette2701
Member
Juliette2701 began at the beginning.
 
Posts: 12
Karma: 10
Join Date: May 2016
Location: Netherlands
Device: Onyx Boox M92
SQLError: SQLError: no such module: fts5

I did downgrade, and that works, but when I want to remove the book I could not convert I have the following:
SQLError: SQLError: no such module: fts5
I did reboot the system but still get the error
what to do?
Juliette2701 is offline   Reply With Quote
Old 10-05-2020, 05:16 PM   #26
BetterRed
null operator
BetterRed ought to be getting tired of karma fortunes by now.BetterRed ought to be getting tired of karma fortunes by now.BetterRed ought to be getting tired of karma fortunes by now.BetterRed ought to be getting tired of karma fortunes by now.BetterRed ought to be getting tired of karma fortunes by now.BetterRed ought to be getting tired of karma fortunes by now.BetterRed ought to be getting tired of karma fortunes by now.BetterRed ought to be getting tired of karma fortunes by now.BetterRed ought to be getting tired of karma fortunes by now.BetterRed ought to be getting tired of karma fortunes by now.BetterRed ought to be getting tired of karma fortunes by now.
 
Posts: 16,568
Karma: 19427098
Join Date: Mar 2012
Location: Sydney Australia
Device: none
Quote:
Originally Posted by Maria Loranger View Post
Yes, I did the same thing, i.e. installed the new version without any reading about it - there went all my plugins (not many), including my DRM.
Removed Calibre, installed installed old DRM plugin - all is well again.
Which operating system and version do you use?

If Windows 10, you shouldn't have lost plugins or anything else when you did a re-install of a previous version (uninstall current, install previous). That assumes you use Windows tools to do both - some third party tools, particularly uninstallers, remove stuff they shouldn't.

Quote:
Originally Posted by Juliette2701 View Post
I did downgrade, and that works, but when I want to remove the book I could not convert I have the following:
SQLError: SQLError: no such module: fts5
I did reboot the system but still get the error
what to do?
Which operating system and version do you use?

BR
BetterRed is offline   Reply With Quote
Old 10-06-2020, 07:26 AM   #27
thiago.eec
Evangelist
thiago.eec can grok the meaning of the universe.thiago.eec can grok the meaning of the universe.thiago.eec can grok the meaning of the universe.thiago.eec can grok the meaning of the universe.thiago.eec can grok the meaning of the universe.thiago.eec can grok the meaning of the universe.thiago.eec can grok the meaning of the universe.thiago.eec can grok the meaning of the universe.thiago.eec can grok the meaning of the universe.thiago.eec can grok the meaning of the universe.thiago.eec can grok the meaning of the universe.
 
Posts: 403
Karma: 155004
Join Date: Dec 2016
Location: Goiânia - Brazil
Device: iPad, Kindle Paperwhite
Quote:
Originally Posted by Juliette2701 View Post
I did downgrade, and that works, but when I want to remove the book I could not convert I have the following:
SQLError: SQLError: no such module: fts5
I did reboot the system but still get the error
what to do?
I got this error on a very specific situation:

1) My main installation is calibre 5.1 64Bits.
2) I have another installation: calibre 2.50 32Bits (this is for testing plugins compatibility)
3) I opened my 2.50 calibre, and it was pointing to a library that was touched by calibre 5 (which uses a diferente database)
4) When I tried to delete a book from that library using 2.50, I got this SQLError too.
5) I changed it to another compatible library, and the error was gone.

You downgraded to 4.23 or an older version?
thiago.eec is offline   Reply With Quote
Old 10-09-2020, 08:15 AM   #28
Juliette2701
Member
Juliette2701 began at the beginning.
 
Posts: 12
Karma: 10
Join Date: May 2016
Location: Netherlands
Device: Onyx Boox M92
I have downgrade to 4.23 and everything is working again, thanks for your help
Juliette2701 is offline   Reply With Quote
Old 10-09-2020, 11:07 AM   #29
Maria Loranger
Enthusiast
Maria Loranger began at the beginning.
 
Posts: 30
Karma: 10
Join Date: Jul 2018
Device: Kindle Paperwhite
Quote:
Originally Posted by BetterRed View Post
Which operating system and version do you use?

If Windows 10, you shouldn't have lost plugins or anything else when you did a re-install of a previous version (uninstall current, install previous). That assumes you use Windows tools to do both - some third party tools, particularly uninstallers, remove stuff they shouldn't.
Which operating system and version do you use?
BR
Windows 10 Home. Yes, I used an uninstaller.
Maria Loranger is offline   Reply With Quote
Old 10-09-2020, 06:12 PM   #30
BetterRed
null operator
BetterRed ought to be getting tired of karma fortunes by now.BetterRed ought to be getting tired of karma fortunes by now.BetterRed ought to be getting tired of karma fortunes by now.BetterRed ought to be getting tired of karma fortunes by now.BetterRed ought to be getting tired of karma fortunes by now.BetterRed ought to be getting tired of karma fortunes by now.BetterRed ought to be getting tired of karma fortunes by now.BetterRed ought to be getting tired of karma fortunes by now.BetterRed ought to be getting tired of karma fortunes by now.BetterRed ought to be getting tired of karma fortunes by now.BetterRed ought to be getting tired of karma fortunes by now.
 
Posts: 16,568
Karma: 19427098
Join Date: Mar 2012
Location: Sydney Australia
Device: none
Quote:
Originally Posted by Maria Loranger View Post
Windows 10 Home. Yes, I used an uninstaller.
If you ever need to reinstall calibre again use the Windows uninstaller.

Some 3rd party uninstallers comb through the system and remove anything that looks like it might be related. In this case the one you used probably removed the "C:\Users\<you>\AppData\Roaming\calibre" directory, which is where the Preferences settings, plugins, customisations etc are stored.

BR
BetterRed is offline   Reply With Quote
Reply

Thread Tools Search this Thread
Search this Thread:

Advanced Search

Forum Jump

Similar Threads
Thread Thread Starter Forum Replies Last Post
No errors found in calibre, but epub check found errors LarkinJM ePub 3 03-03-2020 04:51 PM
Errors with Calibre 3.1.1 Kaetrin Calibre 2 06-29-2017 03:57 AM
Calibre Errors EvM1 Devices 15 05-29-2016 02:58 AM
I get many errors with calibre desideria Devices 4 04-14-2011 11:56 AM
Calibre errors on one PC, not another Katelyn Calibre 12 07-13-2009 09:09 PM


All times are GMT -4. The time now is 03:37 AM.


MobileRead.com is a privately owned, operated and funded community.